### Method

# EDataBook BookBackend get_contact_list

since: 3.10

#### Declaration [src]

    void
    e_book_backend_get_contact_list (
      EBookBackend* backend,
      const gchar* query,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously obtains a set of `EContact` instances which satisfy the criteria specified in `query`.

When the operation is finished, `callback` will be called. You can then call `e_book_backend_get_contact_list_finish()` to get the result of the operation.

Available since: 3.10

This method completes asynchronously. Use `e_book_backend_get_contact_list_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`query`

  Type: `const gchar*`

  A search query in S-expression format.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.